Package: org.grails.cli.profile.support

## [Groovy] Class ArtefactVariableResolver

- org.grails.cli.profile.support.ArtefactVariableResolver

- Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `artifactName`
    `java.lang.String` | `artifactPackage` The artifact name and package
    `java.lang.String` | `convention` The suffix used as a convention for the file
    `java.util.Map<java.lang.String, java.lang.String>` | `variables`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ArtefactVariableResolver (java.lang.String artifactName, java.lang.String artifactPackage = null)`
    `ArtefactVariableResolver (java.lang.String artifactName, java.lang.String convention, java.lang.String artifactPackage)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.Map` | `createVariables()`
    `` | `java.io.File` | `resolveFile(java.lang.String pathToResolve, ExecutionContext context)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.String artifactName

    - #### java.lang.String artifactPackage

      The artifact name and package

    - #### java.lang.String convention

      The suffix used as a convention for the file

    - #### java.util.Map<java.lang.String, java.lang.String> variables

  - ### Constructor Detail

    - #### ArtefactVariableResolver(java.lang.String artifactName, java.lang.String artifactPackage = null)

    - #### ArtefactVariableResolver(java.lang.String artifactName, java.lang.String convention, java.lang.String artifactPackage)

  - ### Method Detail

    - #### java.util.Map createVariables()

    - #### java.io.File resolveFile(java.lang.String pathToResolve, ExecutionContext context)